Simulation
Replay Book
GET
/
v1
/
simulation
/
book
Replay Book
curl --request GET \
--url https://api.polysimulator.com/v1/simulation/book \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.polysimulator.com/v1/simulation/book"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.polysimulator.com/v1/simulation/book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asks": [
{
"price": "0.4000",
"size": "50.0000"
}
],
"at": "2026-08-04T18:00:00Z",
"best_ask": "0.4000",
"best_bid": "0.3900",
"bids": [
{
"price": "0.3900",
"size": "50.0000"
}
],
"book_age_ms": 0,
"comp_token_id": "tok_no",
"condition_id": "0xabc123",
"depth": 10,
"leakage": {
"book_depth_available": true,
"data_source": "archive",
"fee_model": "polymarket_v2_taker",
"fill_model": "n/a",
"missing_periods": []
},
"provenance": {
"bbo_confidence": "high",
"deduped_events": 0,
"ghost_guard_triggered": false,
"hour": "2026-08-04T18",
"hour_status": "valid"
},
"token_id": "tok_yes"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>",
"feature_key": "<string>",
"upgrade_url": "<string>",
"limit": 123
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {},
"request_id": "<string>"
}Authorizations
Issue from /v1/keys (or admin-issued for enterprise tier).
Headers
Query Parameters
Required string length:
1 - 256UTC ISO-8601 timestamp
Maximum string length:
256Maximum string length:
200Required range:
1 <= x <= 50Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Replay Book
